const express = require("express");

const {
  loginValidate,
  registerValidate,
} = require("../utils/validators/AuthValidator");

const { login, register,ValidateOtp } = require("../Controllers/AuthController");

const router = express();

router.route("/login").post(loginValidate, login);
router.route("/register").post(registerValidate,register);
router.route("/Validate-otp").get(ValidateOtp);
module.exports = router;
