const express = require("express");

const { AddValidate } = require("../utils/validators/BusinessSettingValidator");
const { admin } = require("../Controllers/AuthController");

const {
  GetConfig,
  Add,
  Update,
} = require("../Controllers/BusinessSettingController");
const router = express();

router
  .route("/")
  .get(GetConfig)
  .post(admin, AddValidate, Add)
  .put(admin, Update);

module.exports = router;
