const express = require("express");

const { auth } = require("../Controllers/AuthController");
const {
  SendValidate,
  leaveValidate,
} = require("../utils/validators/ChatValidator");
const { sendMessage, home, leave } = require("../Controllers/ChatController");

const router = express.Router();

router.route("/").get(auth, home).post(auth, SendValidate, sendMessage);
router.route("/leave").post(auth, leaveValidate, leave);
module.exports = router;
