const express = require("express");

const {
  GetCategoryValidate,
  UpdateCategoryValidate,
  DeleteCategoryValidate,
  AddCategoryValidate,
  InterestesCategoryValidate
} = require("../utils/validators/CategoryValidator");

const {auth}= require("../Controllers/AuthController");

const {
  GetCategory,
  UpdateCategory,
  DeleteCategory,
  GetCategories,
  AddCategory,
  UploadImage,
  InteresteCategoryes
} = require("../Controllers/GetegoryController");

const router = express();

router.route("/").get(auth,GetCategories).post(UploadImage,AddCategoryValidate,AddCategory);
router
  .route("/:id")
  .get(GetCategoryValidate, GetCategory)
  .put(UpdateCategoryValidate,UploadImage, UpdateCategory)
  .delete(DeleteCategoryValidate, DeleteCategory);
  router
  .route("/interestes").post(auth,InterestesCategoryValidate,InteresteCategoryes);
module.exports = router;
