const { check } = require("express-validator");
const validatorMiddleware = require("../../Middlewares/validatorMiddleware");



exports.AddValidate = [
  check("title")
    .notEmpty()
    .withMessage("title is required"),
    check("image_ar")
    .notEmpty()
    .withMessage("image_ar is required"),
    check("image_en")
    .notEmpty()
    .withMessage("image_en is required"),
    check("default_link")
    .notEmpty()
    .withMessage("default_link is required")
    .isURL()
    .withMessage("Make sure to send a valid link in the default_link field"),
  validatorMiddleware,
];

