const { check } = require("express-validator");
const validatorMiddleware = require("../../Middlewares/validatorMiddleware");

exports.SendValidate = [
  check("receiver").isMongoId().withMessage("Invalid User ID"),
  check("service").isMongoId().withMessage("Invalid Service ID"),
  validatorMiddleware,
];

exports.leaveValidate = [
  check("conversation_id").isMongoId().withMessage("Invalid Conversation ID"),
  validatorMiddleware,
];
